<{import file="index/header.html"}>
<{import file="api/nav.html"}> 
<div class="explain">
	<div class="name"><span>操作提示</span></div>
	<div class="con">
		<p>短信，邮件，微信模板消息通知记录。</p> 
		<p>主要是一些发送记录的信息，为减少资源占用，可以删除，可以清空，不影响其他操作。如需统计，可以不删除。</p> 
	</div>
</div> 
<div class="filter"> 
	<input type="button" name="del_checked" class="del_ck button" value="删除选项"/> 
	<input type="button" name="del_checked" class="del_all button" style="float:right;" value="清空全部"/> 
</div> 
<div class="main"> 
	<table class="ltable">
		<thead>
			<tr> 
				<th width="28"><input type="checkbox" class="checked_all"/></th>
				<th width="120">操作</th>
				<th width="120">模板</th>
				<th width="40">类型</th> 
				<th width="330">发送位置</th> 
				<th width="80">状态</th> 
				<th width="130">时间</th>
				<th></th>
			</tr>
		</thead>
		<tbody>
			<{if $data.list}>
				<{foreach item=i from=$data.list}>
					<tr> 
						<td><input name="key_id[]" type="checkbox" value="<{$i.id}>" class="checked_list"/></td>
						<td>
							<a href="javascript:;" data-id="<{$i.id}>" class="del">删除</a>
							<a href="javascript:;" data-id="<{$i.id}>" class="edit resend">重新发送</a>
						</td> 
						<td><{$i.tpl_name_cn}></td> 
						<td><{$i.type_cn}></td> 
						<td><{$i.username}></td> 
						<td>
							<{if $i.status == '0'}>
								<span style="color:#999;">未发送</span>
							<{elseif $i.status == '1'}>
								<span style="color:#f00;">成功</span>
							<{else if $i.status == '2'}> 
								失败
							<{/if}>
						</td> 
						<td><{$i.addtime}></td>
						<td></td>
					</tr>
				<{/foreach}> 
			<{else}>
				<tr><td colspan="8">还没有数据，赶快添加吧！</td></tr>
			<{/if}>
		</tbody>
	</table> 
	<{if $data.page}><div class="page"><{$data.page}></div><{/if}>
</div>
<{import file="index/footer.html"}> 
<script type="text/javascript">
_delete("<{$__ADMIN__}>api/log_del", '.del_ck'); 
$(function(){
	$(".resend").click(function(){
		id = $(this).attr('data-id');
		$.get('<{$__URI__}>notice/notice_run?id='+id, function(result){
			data = jQuery.parseJSON(result); 
			if(data.error == '0'){
				$.alert('发送成功');
			}else{
				$.alert(data.msg);
			}
		}); 
	});
	$(".del_all").click(function(){
		$.post('<{$__ADMIN__}>notice/log_truncate', function(result){
			data = jQuery.parseJSON(result); 
			if(data.error == '0'){
				$.alert('清空成功');
			}else{
				$.alert(data.msg);
			}
		});
	});
});
</script>